include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${Boost_LIBRARY_DIRS}
)


##### kbruch_test (test)

tde_add_check_executable( kbruch_test AUTOMOC

  SOURCES
        ${CMAKE_SOURCE_DIR}/kbruch/src/primenumber.cpp
        ${CMAKE_SOURCE_DIR}/kbruch/src/ratio.cpp
        ${CMAKE_SOURCE_DIR}/kbruch/src/task.cpp
        ratio_test.cpp
        primenumber_test.cpp
        kbruch_test.cpp
  LINK
     tdeui-shared

  TEST
)
